# Maintainer: Muhammed Efe Çetin <efectn@protonmail.com>

pkgbase=tearch-configs
pkgname=('tearch-configs-xfce' 'tearch-configs-pantheon' 'tearch-configs-gnome' 'tearch-configs-cinnamon' 'tearch-configs-fsmanager' 'tearch-configs-init-scripts' 'tearch-configs-power' 'tearch-configs-specs')
pkgver=1.0.1
pkgrel=1
pkgdesc="Default desktop and system configs for TeArch Linux."
arch=('any')
url="https://gitlab.com/tearch-linux/configs/tearch-configs"
license=('GPL3')

makedepends=('make')
options=(!emptydirs !strip)
groups=("tearch-configs")
source=("git+$url.git" "tearch-xfce-config.hook" "fix-wallpapers")
sha256sums=('SKIP' 'c3073a41a0bacf96817a35a4cb7ad001c1b2cdfd5972d6673d006decf4837620' '34017d55e3d652462a9abc4a47226f2705a5c962df83e939b12062653a20d89e')

# Desktop packages
package_tearch-configs-xfce() {
  replaces=("tearch-config-xfce" "tearch-xfce-config")
  
  install -Dm644 tearch-xfce-config.hook "${pkgdir}/usr/share/libalpm/hooks/tearch-xfce-config.hook"
  install -Dm755 fix-wallpapers "${pkgdir}/usr/bin/fix-wallpapers"

  cd tearch-configs/desktops/xfce
  make install DESTDIR=${pkgdir}
}

package_tearch-configs-pantheon() {
  replaces=("tearch-config-pantheon" "tearch-pantheon-config")
  
  cd tearch-configs/desktops/pantheon
  make install DESTDIR=${pkgdir}
}

package_tearch-configs-gnome() {
  replaces=("tearch-config-gnome" "tearch-gnome-config")
  
  cd tearch-configs/desktops/gnome
  make install DESTDIR=${pkgdir}
}

package_tearch-configs-cinnamon() {
  replaces=("tearch-config-cinnamon" "tearch-cinnamon-config")
  
  cd tearch-configs/desktops/cinnamon
  make install DESTDIR=${pkgdir}
}

# System packages
package_tearch-configs-fsmanager() {  
  cd tearch-configs/fsmanager
  make install DESTDIR=${pkgdir}
}

package_tearch-configs-init-scripts() {  
  cd tearch-configs/init-scripts
  make install DESTDIR=${pkgdir}
}

package_tearch-configs-power() {  
  cd tearch-configs/power
  make install DESTDIR=${pkgdir}
}

package_tearch-configs-specs() {  
  cd tearch-configs/config
  make install DESTDIR=${pkgdir}
}